Horizon View Client 4.0 SSL Error when Connecting to DaaS Tenant

Issue Description

When using the new Horizon View Client version 4.0 you receive an SSL error when connecting to the tenant connection server. This is because DaaS uses TLS 1.0 and TLS 1.0 is disabled in version 4.

Solution / Workaround

Option 1

Use Horizon View Client 3.5.2.

Option 2

Use the group policy to configure the view client to use or allow TLS 1.0.

  1. Download the Horizon 7 GPO Bundle from the VMware Horizon 7.0.0 Enterprise download page (must be logged in to open link).
  2. Extract vdm_client.adm from the zip file.
  3. Run gpedit.msc on the client OS to launch the Local group Policy Editor.
  4. Go to Local Computer Policy > Computer Configuration > Administrative Templates.
  5. Right click and select Add/Remove Templates.
  6. Click Add.
  7. Navigate to the location where you extracted the vdm_client.adm file and select it.  
  8. Go to Local Computer Policy > Computer Configuration > Administrative Template > Classic Administrative Templates > VMware View Client Configuration > Security Settings and then double-click Configures SSL protocols and cryptographic algoirthms.
  9. Select the Enabled radio button.
  10. In the Options pane, enter the following in the text field:  TLSv1:TLSv1.1:TLSv1.2:!aNULL:kECDH+AES:ECDH+AES:RSA+AES:@STRENGTH
  11. Click OK.
  12. Launch View client.

Please see the following KB Article for more information: https://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=2144623

 

Was this article helpful?

Related Articles